# setwd("C:/Users/nwickelmaier/Nextcloud/Documents/MDS/2023ss/60100_master_thesis/analysis/code")

#--------------- (1) Look at broken trace ---------------

datraw <- read.table("results/haum/raw_logfiles_2024-01-18_09-58-52.csv",
                   header = TRUE, sep = ";")


datlogs <- read.table("results/haum/event_logfiles_2024-01-18_09-58-52.csv",
                      colClasses = c("character", "character", "POSIXct",
                                     "POSIXct", "character", "integer",
                                     "numeric", "character", "character",
                                     rep("numeric", 3), "character",
                                     "character", rep("numeric", 11),
                                     "character", "character"),
                      sep = ";", header = TRUE)

artwork <- "176"
fileId <- c('2017_06_16-13_49_00.log', '2017_06_16-13_59_00.log')
path <- 106098

datraw[datraw$item == artwork & datraw$fileId %in% fileId, ]

datlogs[datlogs$path == path, ]

#--------------- (2) Function to find broken traces ---------------

tmp <- datlogs[datlogs$event != "move", ]

check_traces <- function(data) {

  datagg <- aggregate(event ~ path, data,
                      function(x) ifelse("openPopup" %in% x, T, F))
  paths <- datagg$path[datagg$event]
  datcheck <- data[data$path %in% paths, c("path", "event")]
  datcheck <- datcheck[!duplicated(datcheck), ]
  datcheck <- datcheck[order(datcheck$path), ]

  retval <- NULL
  for (path in unique(datcheck$path)) {
    check <- !all(as.character(datcheck$event[datcheck$path == path]) ==
                 c("flipCard", "openTopic", "openPopup"))
    retval <- rbind(retval, data.frame(path, check))
  }
  retval
}

check <- check_traces(tmp)

check[check$check, ]

